searchData={"items":[{"type":"module","title":"ExXendit","doc":"Handles base http requests","ref":"ExXendit.html"},{"type":"type","title":"ExXendit.headers/0","doc":"Headers used in Xendit","ref":"ExXendit.html#t:headers/0"},{"type":"module","title":"ExXendit.EWallet","doc":"Handles functions at https://developers.xendit.co/api-reference/#ewallets","ref":"ExXendit.EWallet.html"},{"type":"function","title":"ExXendit.EWallet.create_charge/2","doc":"Creates an e-wallet charge.","ref":"ExXendit.EWallet.html#create_charge/2"},{"type":"function","title":"Request Parameters - ExXendit.EWallet.create_charge/2","doc":"* `:reference_id`* - Reference ID provided by merchant (255 characters)  \n\n  * `:currency`* - Currency used for the transaction in ISO4217 format - IDR, PHP, VND, THB \n\n  * `:amount`* - Transaction amount to be paid\n\n    Min - 1,000 for ID_JENIUSPAY and 100 IDR for all other eWallets or 1 PHP\n    Max - based on eWallet holding limit \n\n  * `:checkout_method`* - Checkout method determines the payment flow used to process the transaction\n\n    `ONE_TIME_PAYMENT` is used for single guest checkouts\n    `TOKENIZED_PAYMENT` can be used for recurring payment\n    \n  * `:channel_code`* - Channel Code specifies which eWallet will be used to process the transaction - ID_OVO, ID_DANA, ID_LINKAJA, ID_SHOPEEPAY, ID_ASTRAPAY, ID_JENIUSPAY, ID_SAKUKU, PH_PAYMAYA, PH_GCASH, PH_GRABPAY, PH_SHOPEEPAY, VN_APPOTA, VN_MOMO, VN_SHOPEEPAY, VN_VNPTWALLET, VN_VIETTELPAY, VN_ZALOPAY, TH_WECHATPAY, TH_LINEPAY, TH_TRUEMONEY, TH_SHOPEEPAY\n\n  * `:channel_properties`* - Channel specific information required for the transaction to be initiated","ref":"ExXendit.EWallet.html#create_charge/2-request-parameters"},{"type":"module","title":"ExXendit.Transaction","doc":"Handles functions at https://developers.xendit.co/api-reference/#transactions","ref":"ExXendit.Transaction.html"},{"type":"function","title":"ExXendit.Transaction.get/2","doc":"Get a specific transaction of your main or sub-account. Use `get/1` if you intend to use for main only.","ref":"ExXendit.Transaction.html#get/2"},{"type":"function","title":"Path Parameters - ExXendit.Transaction.get/2","doc":"* `:transaction_id` - Id of the transaction","ref":"ExXendit.Transaction.html#get/2-path-parameters"},{"type":"function","title":"Examples - ExXendit.Transaction.get/2","doc":"# Main Account\n    iex> ExXendit.Transaction.get(\"transaction_id\")\n    {:ok, %Req.Response{}}\n\n    # Sub Account\n    iex> ExXendit.Transaction.list(\"transaction_id\", %{sub_account_id: \"sub_account_id\"})\n    {:ok, %Req.Response{}}","ref":"ExXendit.Transaction.html#get/2-examples"},{"type":"function","title":"ExXendit.Transaction.list/2","doc":"List the transactions of your main or sub-account. Use `list/1` if you intend to use for main only.","ref":"ExXendit.Transaction.html#list/2"},{"type":"function","title":"Request Parameters - ExXendit.Transaction.list/2","doc":"* `:types` - The type of the transactions that will be filtered. If not specified, all transaction type will be returned. \n\n    Available types:\n    - DISBURSEMENT: The disbursement of money-out transaction.\n    - PAYMENT: The payment that includes all variation of money-in transaction.\n    - REMITTANCE_PAYOUT: The remittance pay-out transaction.\n    - TRANSFER: The transfer transaction between xendit account. This can be transfer in or out.\n    - REFUND: A refund transaction created to refund amount from money-in Transaction.\n\n  * `:statuses` - The status of the transactions that will be filtered. If not specified, all transaction status will be returned. \n    \n    Available status:\n    - PENDING: The transaction is still pending to be processed. This refers to money out-transaction when the amount is still on hold.\n    - SUCCESS: The transaction is successfully sent for money-out or already arrives on money-in.\n    - FAILED: The transaction failed to send/receive.\n    - VOIDED: The money-in transaction is voided by customer.\n    - REVERSED: The transaction is reversed by Xendit.\n\n  * `:channel_categories` - The channel of the transactions that will be filtered. If not specified, all transaction channel will be returned.\n\n    For DISBURSEMENT and REMITTANCE_PAYOUT type, the available channel categories are BANK and CASH.\n    For PAYMENT type, the available channel categories are CARDS, CARDLESS_CREDIT, DIRECT_DEBIT, EWALLET, PAYLATER, QR_CODE, RETAIL_OUTLET, VIRTUAL_ACCOUNT.\n    For TRANSFER type, the available channel category is XENPLATFORM.\n\n  * `:reference_id` - Reference that will be searched. Search by reference is case sensitive and can be partial match.\n\n  * `:product_id` - Product_id that will be searched. Product_id search is an exact match and case sensitive.\n\n  * `:account_identifier` - Account identifier that will be searched. Account identifier search is exact match case sensitive.\n\n  * `:currency` - Currency to filter. \n\n    Ex. `PHP`, `IDR`, `USD`, `VND`, `THB`, `MYR`, Default: `IDR`\n\n  * `:amount` - Transaction amount to search. This will be exact match. \n\n  * `:created_gte` - Start time of transaction by created date. If not specified will list all dates. \n\n  * `:created_lte` - End time of transaction by created date. If not specified will list all dates. \n\n  * `:updated_gte` - Start time of transaction by updated date. If not specified will list all dates. \n\n  * `:updated_lte` - End time of transaction by updated date. If not specified will list all dates. \n\n  * `:limit` - A limit on the number of transactions to be returned for each request. Default: `10`\n\n  * `:after_id` - Id of the immediately previous item. Use this with links on the response for pagination.\n\n  * `:before_id` - Id of the immediately following item.","ref":"ExXendit.Transaction.html#list/2-request-parameters"},{"type":"function","title":"Response Parameters - ExXendit.Transaction.list/2","doc":"* `:data` - Returns an array of Transaction Object. Returns empty array when there is no result \n\n  * `:has_more` - Indicates whether there are more items to be queried with after_id of the last item from the current result.\n    Use the links to follow to the next result. \n\n  * `:links` - The links to the next page based on HATEOAS if there is next result.\n\n    The HATEOAS format are:\n    `href`: URI of target, this will be to the next link.\n    `rel`: The relationship between source and target. The value will be next.\n    `method`: The HTTP method, the alue will be GET.","ref":"ExXendit.Transaction.html#list/2-response-parameters"},{"type":"function","title":"Examples - ExXendit.Transaction.list/2","doc":"# Main Account\n    iex> ExXendit.Transaction.list(%{currency: \"PHP\"})\n    {:ok, %Req.Response{}}\n\n    # Sub Account\n    iex> ExXendit.Transaction.list(%{currency: \"PHP\"}, %{sub_account_id: \"sub_account_id\"})\n    {:ok, %Req.Response{}}","ref":"ExXendit.Transaction.html#list/2-examples"},{"type":"module","title":"ExXendit.XenPlatform","doc":"Handles functions at https://developers.xendit.co/api-reference/#xenplatform","ref":"ExXendit.XenPlatform.html"},{"type":"function","title":"ExXendit.XenPlatform.create_account/1","doc":"Creates a sub-account.","ref":"ExXendit.XenPlatform.html#create_account/1"},{"type":"function","title":"Request Parameters - ExXendit.XenPlatform.create_account/1","doc":"* `:email`* - Email identifier for the sub account  \n\n  * `:type`* - Type of account you are creating \n    \n    Available status:\n    - MANAGED: Accounts provide your Partners with full-fledged Xendit Accounts that your Platform can transact on behalf of. Your Partners may register their Account via an invitation email is sent to the email. Thereafter, your Partners login to their own Xendit dashboard to complete the onboarding process.\n    - OWNED: Accounts are invisible to your Partners and fully controlled by you. You may transact on behalf of an OWNED Account once they have been created using payment methods that have been enabled on your Platform.\n\n  * `:public_profile` - Map that contains information that will be seen by end-payers or end-recipients (e.g. appears on hosted checkout page, credit card statements, etc.). Required if type is `OWNED`.\n\n    ```\n    %{business_name: \"name of business\"} \n    ```","ref":"ExXendit.XenPlatform.html#create_account/1-request-parameters"},{"type":"function","title":"Response Parameters - ExXendit.XenPlatform.create_account/1","doc":"* `:id` - ID of your Account, use this in the for-user-id header to create transactions on behalf of your Account \n\n  * `:created` - Timestamp of when the account was created in UTC \n\n  * `:updated` - Timestamp of when the account was updated in UTC \n\n  * `:type` - The type of account created \n\n  * `:email` - Email identifier for the Account \n\n  * `:public_profile` - Contains information that will be seen by end-payers or end-recipients (e.g. appears on hosted checkout page, credit card statements, etc.). \n\n  * `:country` - The country (based on ISO 3166-1 Alpha-2) of incorporation for a business, or the country of residence for an individual. Default value: Your country of operation. \n\n  * `:status` - Status of the Account you are creating. \n\n    Available values: `INVITED`, `REGISTERED`, `AWAITING_DOCS`, `LIVE`","ref":"ExXendit.XenPlatform.html#create_account/1-response-parameters"},{"type":"function","title":"Examples - ExXendit.XenPlatform.create_account/1","doc":"iex> ExXendit.XenPlatform.create_account(%{email: \"a@a.com\", type: \"OWNED\", public_profile: %{business_name: \"test\"}})\n    {:ok, %Req.Response{}}","ref":"ExXendit.XenPlatform.html#create_account/1-examples"},{"type":"function","title":"ExXendit.XenPlatform.create_transfer/1","doc":"Creates a transfer.","ref":"ExXendit.XenPlatform.html#create_transfer/1"},{"type":"function","title":"Request Parameters - ExXendit.XenPlatform.create_transfer/1","doc":"* `:reference`* - A unique reference for this Transfer. Use this to reconcile transactions across your master and sub-accounts  \n\n  * `:amount`* - The amount that you would like to transfer. No decimal point for IDR, and max 2 decimal points for PHP \n    \n  * `:source_user_id`* - The account balance from which you would like to send the Transfer from. This can either be your platform or sub accounts user_id.\n\n  * `:destination_user_id`* - The account balance from which you would like to send the Transfer to. This can either be your platform or sub accounts user_id.","ref":"ExXendit.XenPlatform.html#create_transfer/1-request-parameters"},{"type":"function","title":"Response Parameters - ExXendit.XenPlatform.create_transfer/1","doc":"* `:created` - Timestamp of when the account was created in UTC \n\n  * `:transfer_id` - A unique reference for this Transfer set by Xendit systems \n\n  * `:reference` - A unique reference for this Transfer that you set when making the request \n\n  * `:source_user_id` - The source of the transfer. This is the user_id of either your master or sub account\n\n  * `:destination_user_id` - The destination of the transfer. This is the user_id of either your master or sub account\n\n  * `:status` - The status of the Transfer \n\n    Available values: `SUCCESSFUL`,`PENDING`, `FAILED`\n\n  * `:amount` - The amount that was transferred.","ref":"ExXendit.XenPlatform.html#create_transfer/1-response-parameters"},{"type":"extras","title":"ExXendit","doc":"# ExXendit\n[![License](https://img.shields.io/hexpm/l/ex_xendit.svg)](http://www.apache.org/licenses/LICENSE-2.0)\n[![Version](https://img.shields.io/hexpm/v/ex_xendit.svg)](https://hex.pm/packages/ex_xendit)\n[![CI](https://github.com/pragtechnologies/ex_xendit/actions/workflows/elixir.yml/badge.svg)](https://github.com/pragtechnologies/ex_xendit/actions/workflows/elixir.yml)\n\n[Docs](https://hexdocs.pm/ex_xendit)\n\nExXendit is an elixir sdk for [Xendit](https://www.xendit.com).","ref":"readme.html"},{"type":"extras","title":"Installation - ExXendit","doc":"Put this in your `mix.exs` and run `mix deps.get`.\n\n```elixir\ndef deps do\n  [\n    {:ex_xendit, \"~> 0.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - ExXendit","doc":"Before you use, you need to have credentials in Xendit. Check guide [here](https://developers.xendit.co/api-reference/#authentication).\n\nOnce done, add your credentials inside your configs. \n\n```\nconfig :ex_xendit,\n  base_url: \"https://api.xendit.co\",\n  secret_key: \"REPLACE WITH YOUR SECRET KEY\",\n  public_key: \"REPLACE WITH YOUR PUBLIC KEY\"\n```","ref":"readme.html#usage"},{"type":"extras","title":"Developers - ExXendit","doc":"To contribute to this project:\n\n- Fork this project and clone in your machine\n- Copy `config.secret.backup.exs` to `config.secret.exs` then set your credentials\n- Look for new updates at [Xendit API Docs](https://developers.xendit.co/api-reference/)\n- Follow code pattern \n\nBefore you submit pull request:\n\n- Run `mix coveralls`. Be sure coverage is at 100%\n- Run `mix credo`. Be sure everything is clean.\n- Run `mix dialyzer`. Be sure everything is good.","ref":"readme.html#developers"},{"type":"extras","title":"License - ExXendit","doc":"Copyright (c) 2023 Noel Del Castillo\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at \n\n    http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"},{"type":"extras","title":"CHANGELOG","doc":"# CHANGELOG","ref":"changelog.html"},{"type":"extras","title":"v0.1.2 (2023-11-17) - CHANGELOG","doc":"- Develop `ExXendit.XenPlatform.create_transfer`","ref":"changelog.html#v0-1-2-2023-11-17"},{"type":"extras","title":"v0.1.1 (2023-11-16) - CHANGELOG","doc":"- Put sub_account_id inside the headers parameters\n- Develop `ExXendit.XenPlatform.create_account`\n- Develop `ExXendit.EWallet.create_charge`","ref":"changelog.html#v0-1-1-2023-11-16"},{"type":"extras","title":"v0.1.0 (2023-11-16) - CHANGELOG","doc":"- Develop `ExXendit.Transaction.get`\n- Develop `ExXendit.Transaction.list`\n- Initial release","ref":"changelog.html#v0-1-0-2023-11-16"}],"content_type":"text/markdown"}